Package org.apache.synapse.commons.templates.uri.parser

## Class LabelExpression

- java.lang.Object
- - org.apache.synapse.commons.templates.uri.parser.Node
  - - org.apache.synapse.commons.templates.uri.parser.Expression
    - - org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression
      - - org.apache.synapse.commons.templates.uri.parser.LabelExpression

- Direct Known Subclasses:
    `PathSegmentExpression`

      public class LabelExpression
      extends SimpleStringExpression

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

      `variableList`

    - ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Node

      `hasQueryTemplate, next, token`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LabelExpression​(String token)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected char` | `getSeparator()` |

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression

      `isReserved, setVariables`

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

      `decodeValue, encodeValue`

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Node

      `expandAll, hasQueryTemplate, matchAll, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelExpression

          public LabelExpression​(String token)
                          throws URITemplateException

      Throws:
        `URITemplateException`

  - ### Method Detail

    - #### getSeparator

          protected char getSeparator()

      Overrides:
        `getSeparator` in class `SimpleStringExpression`